let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.11";
    rev = "573095944e7c1d58d30fc679c81af63668b54056";
  };
in

{
  inherit nixpkgs;
  nixos = nixpkgs // {
    suffix = "/nixos";
  };
  "channels-nixos-stable" = nixpkgs;

  "channels-nixos-21.05" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.05";
    rev = "c5f1ee982246d09ae7f119c13aafcce90286221d";
  };
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "a2e281f5770247855b85d70c43454ba5bff34613";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "f4a00ebd0201a7413f4334d3719d8555772eb9f4";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-21.11";
    rev = "6ce1d64073f48b9bc9425218803b1b607454c1e7";
  };
}
